Skip to main content

Get Tenant Credentials

Get Tenant Credentials API will return the data that match the given tenantID.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/tenant/{tenantId}/credentials
note

At this moment, this API is applicable for SSMS based installations.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataObjectThe credential data object.
operatorNameStringUsername of the operator that holds the realm role.
operatorPasswordStringPassword corresponding to the Operator.
portalNameStringUsername of the portal.
portalPasswordStringPassword corresponding to the Portal.

Sample Response​

{
"message": "Tenant credentials fetched successfully",
"status": "OK",
"subSystem": 1,
"data": {
"operatorName": "DEV3",
"operatorPassword": "123456",
"portalName": "demo",
"portalPassword": "demo123"
}
}

Response Status Information​

Status CodeStatusMessage
200OKTenant credentials fetched successfully
401UnauthorizedHTTP 401 Unauthorized
403FORBIDDENFailed to fetch Credentials
404TENANT_NOT_FOUNDTenant does not exist